﻿@model BeerOverflow.Web.Models.AllUsersViewModel

@{
    ViewData["Title"] = "ListUsers";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>List of all users in the database</h1>


<table class="table">
    <thead style="color:#b58900">
        <tr>
            <th>
                Username
            </th>
            <th>
                Email
            </th>
            <th>
                Deleted
            </th>
            <th>
                Admin
            </th>
            <th>
                Banned
            </th>
        </tr>
    </thead>
    <tbody style="color:white">
@foreach (var item in Model.Users) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsDeleted)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsAdmin)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsBanned)
            </td>
            <td>
                <a asp-action="DeleteUser" asp-route-id="@item.Id"> Delete </a>
            </td>
            <td>
                <a asp-action="BanUser" asp-route-id="@item.Id"> Ban </a>
            </td>
        </tr>
}
    </tbody>
</table>
